Load Prerequisite Software - Intergraph Smart Interop Publisher - Installation & Upgrade

Intergraph Smart Interop Publisher Installation and Setup

Language
English
Product
Intergraph Smart Interop Publisher
Search by Category
Installation & Upgrade
Smart Review Version
2020 (15.0)
Smart Interop Publisher Version
17

Whether you are upgrading or installing Smart Interop Publisher for the first time, Smart Interop Publisher requires the software listed below to be loaded on the system. Although the Smart Interop Publisher setup application loads some requirements automatically, you may be prompted to perform a reboot or manually load required software. Obtain the software to have it available before Smart Interop Publisher installation.

  • Microsoft Data Access Components (MDAC)

  • Microsoft .NET Framework 4.8. Go to the MIcrosoft Download Center to install the required .NET Framework version.

  • Microsoft Access Database Engine (32-bit). Run the executable (AccessDBEngine_x86.exe) provided in your Smart Interop Publisher installation location to install Microsoft Access (32-bit).
    -OR-
    Follow these steps to install the 32-bit version if you also have the 64-bit version installed:

  1. Open a command prompt in Administrator mode.

  2. From the Smart Interop Publisher delivery media, enter the Microsoft Access .exe file (AccessDBEngine_x86.exe) and /passive as shown in the example below:

    "[drive]:\Tools\AccessDBEngine_x86.exe" /passive

  • MS VC++ 2008 SP1 Redistributable Package

  • MS VC++ 2010 SP1 Redistributable Package with MFC Security Update. This package is required for the installation process to continue.

  • MS VC++ 2015-2019 Redistributable Package (64-bit)

    You must have the Microsoft Visual C++2015-2019 (64-bit) Redistributable package to install Smart Interop Publisher. Download and install the redistributable package from the Microsoft website, and then install Smart Interop Publisher.

  • A PDF Reader

  • Intergraph Batch Services 2010 SP1 HF 06.01.11.00 or later